
QGIS Application - Bug report #14175

QGIS crash after closing the file dialog

2016-01-27 02:13 AM - Bernd Piepers

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.12.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22177

Description

After closing a file dialog, QGIS crash and show a minidump popup.

It is not possible to open a file, open a project or save a project without crash.

Even if the dialog is left with escape (without choosing a file) QGIS crashes.

It is possible to open files with the browser or with the file tree.

But this workaround doesn't work for the geo-reference dialog.

Tried with version 2.12.3 and with 2.8.4 

(* 2.12.3 is missing in the selection 'Affected version' of the bug tracker page, therefore I selected 2.12.2)

How to repeat:

start QGIS, choose Ctrl-O (open file), press ESC (or choose one file)

History

#1 - 2016-01-27 02:16 AM - Bernd Piepers

The dump file is 30 MB, seems to be to large to upload.

#2 - 2016-01-28 07:05 AM - Bernd Piepers

max. size 5 MB

#3 - 2016-02-20 12:51 AM - Saber Razmjooei

- Priority changed from High to Normal

- Status changed from Open to Feedback

I have tried and can't replicate your problem.

This could be due to a plugin. Could you run QGIS with no plugin (rename your .qgis2 plugin folder)?

#4 - 2016-04-09 01:59 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
closing for lack of feedback. Please reopen if necessary.
